
# Manifest file for Old Cryptix Compatibility Classes
#
# Version numbers
#
# 0.0.1 was initial 3.0.0 release
# 0.1.4 Cryptix 3.1.0
# 0.2.0 Cryptix 3.1.1  Added missing PGP support files.


name=OLD
version=0-2-0

# dependencies - any JCE ?
-f java/security/AsymmetricCipher.class
-f cryptix/provider/Cryptix.class
depends=SPT IJCE ALG

* This is the Cryptix Old API Archive - only APIs included.
* This archive needs the real algorithms, and the JCE support.
*
* tests are mains in some classes.  also see

cryptix/math/*.java
cryptix/security/*.java
cryptix/security/rsa/*.java
cryptix/mime/*.java
cryptix/util/*.java

cryptix/util/mime/*.java
- cryptix/util/mime/Base64InputStream.java
- cryptix/util/mime/Base64OutputStream.java

#
#  support code
# cryptix/security/CryptoError.java
# cryptix/security/Cryptix.java

#
#  ciphers
# cryptix/security/BlockCipher.java
# cryptix/security/StreamCipher.java
# cryptix/security/CFB.java
# cryptix/security/CipherFeedback.java
# cryptix/security/CSRandomStream.java

#
#  needed by CSRandomStream, PGP
# cryptix/math/PseudoRandomStream.java
# cryptix/math/RandomStream.java
# cryptix/math/PRSG.java
# cryptix/math/MathError.java
# cryptix/math/RandomInputStream.java

#  Used by PGP26
# cryptix/util/ByteArray.java
# cryptix/util/StreamInterface.java
# cryptix/util/Streamable.java
# cryptix/util/EmailAddress.java
# cryptix/util/mime/QuotedPrintable.java



### cryptix/util/core/Hex.java    in core (in SPT already)
### following scrunted
### cryptix/util/ByteArrayFactory.java
### cryptix/util/Debug.java       moved to core
### cryptix/util/i18n/Lang.java                   never referenced
### cryptix/util/io/FilterUserInterface.java      never referenced
### cryptix/util/io/NullOutputStream.java         never referenced
### cryptix/ui/UserInterface.java                 never referenced



#  Used by hashes.
# cryptix/mime/LegacyString.java

# sec= Blowfish IDEA SPEED DES
# cryptix/security/<sec>.java
tests= cryptix.security.Blowfish cryptix.security.IDEA 
tests= cryptix.security.SPEED    cryptix.security.DES

# what a hack!
tests_exit_code=0

#
#  message digests
# cryptix/security/MessageHash.java
# cryptix/security/MessageDigest.java
# cryptix/security/MessageDigestOutputStream.java

# md= SHA SHA0 MD5
# cryptix/security/<md>.java
# cryptix/security/Hash<md>.java
# cryptix/security/???OutputStream.java
tests= cryptix.security.MD5 cryptix.security.SHA cryptix.security.SHA0
tests=cryptix.security.HashMD5 cryptix.security.HashSHA0 cryptix.security.HashSHA

#  what test?

#  cryptix/math/BigNum.java
#  cryptix/math/BigInteger.java
#  cryptix/math/TestPrime.java
#  cryptix/math/TestPrimeObserver.java
